## net.sf.saxon.regex
Class SurrogateRegexTranslator.WideSingleChar

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
              net.sf.saxon.regex.SurrogateRegexTranslator.WideSingleChar

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.WideSingleChar

extends SurrogateRegexTranslator.SimpleCharClass

Character class that matches a single specific character outside the BMP

Constructor Summary
`SurrogateRegexTranslator.WideSingleChar(int c)` Create a character class for a single non-BMP character

Method Summary
`void` `addNonBmpRanges(java.util.List ranges)` Add to a supplied List, ranges of non-BMP characters that are matched by this character class.
`int` `getSingleChar()` If this character class contains a single character, get that character
`void` `inClassOutputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
`outputBmp, outputComplementBmp`

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
`getContainsBmp, getContainsNonBmp, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.WideSingleChar

    public SurrogateRegexTranslator.WideSingleChar(int c)

  Create a character class for a single non-BMP character

  Parameters:
    `c` - the character

Method Detail

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.SimpleCharClass`
  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

### getSingleChar

    public int getSingleChar()

  Description copied from class: `SurrogateRegexTranslator.CharClass`
  If this character class contains a single character, get that character

  Overrides:
    `getSingleChar` in class `SurrogateRegexTranslator.CharClass`
  Returns:
    the single character matched by this character class, or -1 if it matches multiple characters

### addNonBmpRanges

    public void addNonBmpRanges(java.util.List ranges)

  Description copied from class: `SurrogateRegexTranslator.CharClass`
  Add to a supplied List, ranges of non-BMP characters that are matched by this character class. Default implementation does nothing.

  Overrides:
    `addNonBmpRanges` in class `SurrogateRegexTranslator.CharClass`
  Parameters:
    `ranges` - a List to which this method will add zero or more Range objects denoting ranges of non-BMP characters

Copyright (c) Saxonica Limited. All rights reserved.